<?php

// ini_set('display_errors',1);

session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cTransferencia.php");
$oTransferencia = new cTransferencia();
require_once ("../egreso/cEgreso.php");
$oEgreso = new cEgreso();
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once("../formatos/formato.php");
if($_POST['action']=="insertar"){
	if(!empty($_POST['txt_tra_fec']) and !empty($_POST['txt_tra_imp']))
	{
		$xac=1;
		$mon_id=1;
		$estado='1';
		$oTransferencia->insertar(
			$_POST['hdd_tra_usureg'],
			$_POST['hdd_tra_usumod'],			
			fecha_mysql($_POST['txt_tra_fec']),
			$_POST['txt_tra_det'],
			moneda_mysql($_POST['txt_tra_imp']),
			$estado,
			$_POST['cmb_caj_id_ori'],
			$_POST['cmb_caj_id_des'],
			$mon_id,
			$_POST['hdd_emp_id']
			);
		
		$dts=$oTransferencia->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$tra_id=$dt['id'];
		mysqli_free_result($dts);
		
		// TRANSFERENCIA - EGRESO
		$egr_det	='TRANSFERENCIA DE '.$_POST['nom_cajaori'].' - '.$_POST['nom_cajades'].' : '.$_POST['txt_tra_det'];//aqui
		$doc_id=10;
		$numdoc=$tra_id;
		$egr_est='1';
		$pro_id='1';
		$mod_id=13;
		$sql1=$oTransferencia->obtener_cuenta_salida(); //xxxxx
		$dt1 = mysqli_fetch_array($sql1);
		$cue_salida		=$dt1['tb_cuenta_id'];
		mysqli_free_result($sql1);
		
		$oEgreso->insertar(
			$_POST['hdd_tra_usureg'],
			$_POST['hdd_tra_usumod'],
			fecha_mysql($_POST['txt_tra_fec']),
			fecha_mysql($_POST['txt_tra_fec']),
			$doc_id,
			$numdoc,
			$egr_det,
			moneda_mysql($_POST['txt_tra_imp']),
			$egr_est,
			$cue_salida,
			$_POST['cmb_subcue_id'],
			$pro_id,
			$_POST['cmb_caj_id_ori'],
			$mod_id,
			$tra_id,
			intval($_POST['cmb_egre_forpag']),
			intval($_POST['cmb_egre_modo']),
			'0',
			'0',
			'0',
			'0',
			'0',
			'0',
			'0',
			moneda_mysql($_POST['txt_tra_imp']),
			moneda_mysql($_POST['txt_tra_imp']),
			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_tra_fec']),'0','0','0','0','0'
			);
			
			
		// TRANSFERENCIA  - INGRESO
		$ing_det	='TRANSFERENCIA DE '.$_POST['nom_cajaori'].' - '.$_POST['nom_cajades'].' : '.$_POST['txt_tra_det'];//aqui
		$doc_id= 10;
		$numdoc	=$tra_id;
		$ing_est='1';
		$cli_id='1';
		$mod_id=13;	
		$sql2=$oTransferencia->obtener_cuenta_entrada();
		$dt2 = mysqli_fetch_array($sql2);
		$cue_entrada = $dt2['tb_cuenta_id'];
		mysqli_free_result($sql2);
		
		$oIngreso->insertar(
			$_POST['hdd_tra_usureg'],
			$_POST['hdd_tra_usumod'],
			fecha_mysql($_POST['txt_tra_fec']),
			fecha_mysql($_POST['txt_tra_fec']),
			$doc_id,
			$numdoc,
			$ing_det,
			moneda_mysql($_POST['txt_tra_imp']),
			$ing_est,
			$cue_entrada,
			$_POST['cmb_subcue_id'],
			$cli_id,
			$_POST['cmb_caj_id_des'],
			$mod_id,
			$tra_id,
			'0',
			'0',
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			''
			);
			
		$data['tra_id']=$tra_id;
		$data['tra_msj']='Se registró transferencia correctamente.';
		echo json_encode($data);
	
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
if($_POST['action']=="editar"){
	if(!empty($_POST['txt_tra_fec'])){
		$data['tra_msj']='No es posible editar o guardar cambios.';
		echo json_encode($data);
	}else{
		$data['tra_msj']='Intentelo nuevamente.';
	}
}
if($_POST['action']=="eliminar"){
	
	if(!empty($_POST['tra_id'])){		
			$oTransferencia->modificar_campo($_POST['tra_id'],$_SESSION['usuario_id'],'xac','0');	
			$oEgreso->modificar_egresotranferencia($_POST['tra_id'],$_SESSION['usuario_id']);
			$oIngreso->modificar_ingresotranferencia($_POST['tra_id'],$_SESSION['usuario_id']);
			echo "Se elimino transferencia correctamente.";
		
	}else{
			echo 'Intentelo nuevamente.';
	}
	
}
	?>